.section-card {
  background: var(--bg-color);
  border-radius: 12px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
  padding: 24px;
  margin-bottom: 24px;
}

.center-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 12px;
}

.planner-controls {
  display: flex;
  justify-content: space-between;
  gap: 32px;
  flex-wrap: wrap;
}

.planner-controls > div {
  flex: 1;
  min-width: 300px;
}

.planner-controls input[type="range"] {
  width: 100%;
  margin-top: 4px;
  margin-bottom: 12px;
}

.planner-controls input[type="number"] {
  width: 80px;
  padding: 6px;
  border: 1px solid #ccc;
  border-radius: 6px;
}

.radio-group {
  display: flex;
  align-items: center;
  margin: 12px 0;
  gap: 12px;
}

.tabs-button-group button {
  padding: 8px 16px;
  border: none;
  color: white;
  background-color: #2563eb;
  border-radius: 8px;
  font-weight: bold;
  cursor: pointer;
  transition: background 0.2s;
}

.tabs-button-group button:hover {
  background-color: #1e40af;
}

.zone-summary .grid {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  flex-wrap: wrap;
}

.zone-summary .grid > div {
  flex: 1;
  min-width: 100px;
  text-align: center;
}

.planned-workouts table {
  width: 100%;
  border-collapse: collapse;
  text-align: center;
}

.planned-workouts th, .planned-workouts td {
  padding: 10px;
  border: 1px solid #ddd;
}

.planned-workouts thead {
  background-color: var(--training-planner-th);
}

.planned-workouts button {
  padding: 0.4rem 0.6rem;
  border: none;
  border-radius: 16px;
  font-weight: 500;
  color: white;
  background-color: var(--button-delete);
  box-shadow:
    0 2px 4px rgba(0, 0, 0, 0.1),
    inset 0 1px 1px rgba(255, 255, 255, 0.1);

  cursor: pointer;
  transition:
    background 0.3s,
    box-shadow 0.3s,
    transform 0.2s ease;
}

.planned-workouts button:hover {
  background-color: var(--button-delete-hover);
  box-shadow:
    0 4px 8px rgba(0, 0, 0, 0.2),
    inset 0 1px 1px rgba(255, 255, 255, 0.2);
  transform: translateY(-1px);
}

/* MOBILE */
@media (max-width: 768px) {
  .planned-workouts th {
    padding: 3px;
  }
  .planned-workouts td {
    padding: 3px;
    padding-top: 10px;
    padding-bottom: 10px;
  }
}

@media (max-width: 599px) {
  .planned-workouts th {
    padding: 1px;
    font-weight: normal;
  }
  .planned-workouts td {
    padding: 1px;
    padding-top: 10px;
    padding-bottom: 10px;
  }
}

@media (max-width: 499px) {
  .planned-workouts td, .planned-workouts th {
    font-size: 0.85rem;
  }
  .planned-workouts button {
    padding: 6px 5px;
  }
}

@media (max-width: 399px) {
  .planned-workouts td, .planned-workouts th {
    font-size: 0.8rem;
  }
  .planned-workouts button {
    padding: 6px 3px;
  }
}

@media (max-width: 369px) {
  .planned-workouts td, .planned-workouts th {
    font-size: 0.75rem;
  }
  .planned-workouts button {
    padding: 6px 3px;
  }
}

@media (max-width: 369px) {
  .planned-workouts td, .planned-workouts th {
    font-size: 0.7rem;
  }
  .planned-workouts button {
    padding: 6px 2px;
  }
}

@media (max-width: 319px) {
  .planned-workouts td, .planned-workouts th {
    font-size: 0.65rem;
  }
  .planned-workouts button {
    padding: 6px 1px;
  }
}